Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Gentoo Local Security Checks >> [GLSA-200502-20] Emacs, XEmacs: Format string vulnerabilities in movemail


Vulnerability Assessment Details

[GLSA-200502-20] Emacs, XEmacs: Format string vulnerabilities in movemail

Vulnerability Assessment Summary
Emacs, XEmacs: Format string vulnerabilities in movemail

Detailed Explanation for this Vulnerability Assessment
The remote host is affected by the vulnerability described in GLSA-200502-20
(Emacs, XEmacs: Format string vulnerabilities in movemail)


Max Vozeler discovered that the movemail utility contains several
format string errors.

Impact

A possible hacker could set up a malicious POP server and entice a user
to connect to it using movemail, resulting in the execution of
arbitrary code with the rights of the victim user.

Workaround

There is no known workaround at this time.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0100


Solution:
All Emacs users should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot --verbose ">=app-editors/emacs-21.4"
All XEmacs users should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot --verbose ">=app-editors/xemacs-21.4.15-r3"


Network Security Threat Level: Medium


Networks Security ID:

Vulnerability Assessment Copyright: (C) 2005 Michel Arboi

Cables, Connectors

ASUS GL552VW-DH71 15.6in. (1TB, Intel Core i7 6th Gen., 2.6GHz, 16GB)...
$100.0
ASUS GL552VW-DH71 15.6in. (1TB, Intel Core i7 6th Gen., 2.6GHz, 16GB)... pictureDELL POWEREDGE R815 SERVER FOUR AMD 6380 2.50GHZ 32GB 5 X 1TB SATA H200
$4119.0
DELL POWEREDGE R815 SERVER FOUR AMD 6380 2.50GHZ 32GB 5 X 1TB SATA H200 pictureDELL POWEREDGE R815 SERVER FOUR AMD 6276 2.30GHZ 32GB 2 X 1TB SATA H700
$1689.0
DELL POWEREDGE R815 SERVER FOUR AMD 6276 2.30GHZ 32GB 2 X 1TB SATA H700 pictureDELL POWEREDGE R815 SERVER FOUR AMD 6172 2.10GHZ 256GB 1TB SATA H700
$2329.0
DELL POWEREDGE R815 SERVER FOUR AMD 6172 2.10GHZ 256GB 1TB SATA H700 picture


Discussions

No Discussions have been posted on this vulnerability.